diff --git a/gcc/analyzer/region-model.h b/gcc/analyzer/region-model.h
index e5d04b47e0d..f75625fbe48 100644
--- a/gcc/analyzer/region-model.h
+++ b/gcc/analyzer/region-model.h
@@ -1811,40 +1765,40 @@ private:
 template <>
 template <>
 inline bool
-is_a_helper <const label_region2 *>::test (const region2 *reg)
+is_a_helper <const label_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_LABEL;
+  return reg->get_kind () == region::RK_LABEL;
 }
 
 namespace ana {
 
-/* Concrete region2 subclass representing a stack, containing all stack
+/* Concrete region subclass representing a stack, containing all stack
    frames, and implicitly providing a POISON_KIND_UNINIT value to all
-   child region2s by default.  */
+   child regions by default.  */
 
-class stack_region2 : public region2
+class stack_region : public region
 {
 public:
-  stack_region2 (unsigned id, region2 *parent)
-  : region2 (complexity (parent), id, parent, NULL_TREE)
+  stack_region (unsigned id, region *parent)
+  : region (complexity (parent), id, parent, NULL_TREE)
   {}
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  bool compare_fields (const stack_region2 &other) const;
+  bool compare_fields (const stack_region &other) const;
 
   enum kind get_kind () const FINAL OVERRIDE { return RK_STACK; }
 
 #if 0
-  static bool can_merge_p (const stack_region2 *stack_region2_a,
-			   const stack_region2 *stack_region2_b,
+  static bool can_merge_p (const stack_region *stack_region_a,
+			   const stack_region *stack_region_b,
 			   model_merger *merger);
-  const svalue2 *get_value_by_name (tree identifier,
-			      const region_model2 &model) const;
+  const svalue *get_value_by_name (tree identifier,
+			      const region_model &model) const;
 #endif
 
 #if 0
-  void validate (const region_model2 &model) const FINAL OVERRIDE;
+  void validate (const region_model &model) const FINAL OVERRIDE;
 #endif
  private:
 #if 0
@@ -1857,35 +1811,29 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const stack_region2 *>::test (const region2 *reg)
+is_a_helper <const stack_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_STACK;
+  return reg->get_kind () == region::RK_STACK;
 }
 
 namespace ana {
 
-/* Concrete region2 subclass: a region2 within which region2s can be
+/* Concrete region subclass: a region within which regions can be
    dynamically allocated.  */
 
-class heap_region2 : public region2
+class heap_region : public region
 {
 public:
-  heap_region2 (unsigned id, region2 *parent)
-  : region2 (complexity (parent), id, parent, NULL_TREE)
+  heap_region (unsigned id, region *parent)
+  : region (complexity (parent), id, parent, NULL_TREE)
   {}
 
 #if 0
-  bool compare_fields (const heap_region2 &other) const;
+  bool compare_fields (const heap_region &other) const;
 #endif
 
   enum kind get_kind () const FINAL OVERRIDE { return RK_HEAP; }
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
-#if 0
-  static bool can_merge_p (const heap_region2 *heap_a, region2_id heap_a_rid,
-			   const heap_region2 *heap_b, region2_id heap_b_rid,
-			   heap_region2 *merged_heap, region2_id merged_heap_rid,
-			   model_merger *merger);
-#endif
 };
 
 } // namespace ana
@@ -1893,39 +1841,39 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const heap_region2 *>::test (const region2 *reg)
+is_a_helper <const heap_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_HEAP;
+  return reg->get_kind () == region::RK_HEAP;
 }
 
 namespace ana {
 
-/* Concrete region2 subclass.  The root region2, containing all region2s
+/* Concrete region subclass.  The root region, containing all regions
    (either directly, or as descendents).
-   Unique within a region_model2.  */
+   Unique within a region_model.  */
 
-class root_region2 : public region2
+class root_region : public region
 {
 public:
-  root_region2 (unsigned id);
+  root_region (unsigned id);
 
-  bool compare_fields (const root_region2 &other) const;
+  bool compare_fields (const root_region &other) const;
 
   enum kind get_kind () const FINAL OVERRIDE { return RK_ROOT; }
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
 #if 0
-  static bool can_merge_p (const root_region2 *root_region2_a,
-			   const root_region2 *root_region2_b,
-			   root_region2 *merged_root_region2,
+  static bool can_merge_p (const root_region *root_region_a,
+			   const root_region *root_region_b,
+			   root_region *merged_root_region,
 			   model_merger *merger);
 #endif
 
-  const svalue2 *get_value_by_name (tree identifier,
-			      const region_model2 &model) const;
+  const svalue *get_value_by_name (tree identifier,
+			      const region_model &model) const;
 
 #if 0
-  void validate (const region_model2 &model) const FINAL OVERRIDE;
+  void validate (const region_model &model) const FINAL OVERRIDE;
 #endif
 
 private:
@@ -1939,38 +1887,38 @@ private:
 template <>
 template <>
 inline bool
-is_a_helper <const root_region2 *>::test (const region2 *reg)
+is_a_helper <const root_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_ROOT;
+  return reg->get_kind () == region::RK_ROOT;
 }
 
 namespace ana {
 
-/* Concrete region2 subclass: a region2 to use when dereferencing an unknown
+/* Concrete region subclass: a region to use when dereferencing an unknown
    pointer.  */
 
-class symbolic_region2 : public region2
+class symbolic_region : public region
 {
 public:
-  symbolic_region2 (unsigned id, region2 *parent, const svalue2 *sval_ptr)
-  : region2 (complexity::from_pair (parent, sval_ptr), id, parent,
+  symbolic_region (unsigned id, region *parent, const svalue *sval_ptr)
+  : region (complexity::from_pair (parent, sval_ptr), id, parent,
 	     TREE_TYPE (sval_ptr->get_type ())),
     m_sval_ptr (sval_ptr)
   {}
 
-  const symbolic_region2 *
-  dyn_cast_symbolic_region2 () const FINAL OVERRIDE { return this; }
+  const symbolic_region *
+  dyn_cast_symbolic_region () const FINAL OVERRIDE { return this; }
 
-  bool compare_fields (const symbolic_region2 &other) const;
+  bool compare_fields (const symbolic_region &other) const;
 
-  enum kind get_kind () const FINAL OVERRIDE { return region2::RK_SYMBOLIC; }
+  enum kind get_kind () const FINAL OVERRIDE { return region::RK_SYMBOLIC; }
   void accept (visitor *v) const FINAL OVERRIDE;
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  const svalue2 *get_pointer () const { return m_sval_ptr; }
+  const svalue *get_pointer () const { return m_sval_ptr; }
 
 private:
-  const svalue2 *m_sval_ptr;
+  const svalue *m_sval_ptr;
 };
 
 } // namespace ana
@@ -1978,28 +1926,28 @@ private:
 template <>
 template <>
 inline bool
-is_a_helper <const symbolic_region2 *>::test (const region2 *reg)
+is_a_helper <const symbolic_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_SYMBOLIC;
+  return reg->get_kind () == region::RK_SYMBOLIC;
 }
 
 namespace ana {
 
-/* Concrete region2 subclass representing the memory occupied by a
+/* Concrete region subclass representing the memory occupied by a
    variable (whether for a global or a local).  */
 
-class decl_region2 : public region2
+class decl_region : public region
 {
 public:
-  decl_region2 (unsigned id, const region2 *parent, tree decl)
-  : region2 (complexity (parent), id, parent, TREE_TYPE (decl)), m_decl (decl)
+  decl_region (unsigned id, const region *parent, tree decl)
+  : region (complexity (parent), id, parent, TREE_TYPE (decl)), m_decl (decl)
   {}
 
-  bool compare_fields (const decl_region2 &other) const;
+  bool compare_fields (const decl_region &other) const;
 
-  enum region2::kind get_kind () const FINAL OVERRIDE { return RK_DECL; }
-  const decl_region2 *
-  dyn_cast_decl_region2 () const FINAL OVERRIDE { return this; }
+  enum region::kind get_kind () const FINAL OVERRIDE { return RK_DECL; }
+  const decl_region *
+  dyn_cast_decl_region () const FINAL OVERRIDE { return this; }
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
@@ -2018,31 +1966,31 @@ private:
 template <>
 template <>
 inline bool
-is_a_helper <const decl_region2 *>::test (const region2 *reg)
+is_a_helper <const decl_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_DECL;
+  return reg->get_kind () == region::RK_DECL;
 }
 
 namespace ana {
 
-/* Concrete region2 subclass representing the memory occupied by a
+/* Concrete region subclass representing the memory occupied by a
    field within a struct or union.  */
 
-class field_region2 : public region2
+class field_region : public region
 {
 public:
-  field_region2 (unsigned id, const region2 *parent, tree field)
-  : region2 (complexity (parent), id, parent, TREE_TYPE (field)),
+  field_region (unsigned id, const region *parent, tree field)
+  : region (complexity (parent), id, parent, TREE_TYPE (field)),
     m_field (field)
   {}
 
-  bool compare_fields (const field_region2 &other) const;
+  bool compare_fields (const field_region &other) const;
 
-  enum region2::kind get_kind () const FINAL OVERRIDE { return RK_FIELD; }
+  enum region::kind get_kind () const FINAL OVERRIDE { return RK_FIELD; }
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
-  const field_region2 *
-  dyn_cast_field_region2 () const FINAL OVERRIDE { return this; }
+  const field_region *
+  dyn_cast_field_region () const FINAL OVERRIDE { return this; }
 
   tree get_field () const { return m_field; }
 
@@ -2058,41 +2006,41 @@ private:
 template <>
 template <>
 inline bool
-is_a_helper <const field_region2 *>::test (const region2 *reg)
+is_a_helper <const field_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_FIELD;
+  return reg->get_kind () == region::RK_FIELD;
 }
 
 namespace ana {
 
 /* An element within an array.  */
 
-class element_region2 : public region2
+class element_region : public region
 {
 public:
-  element_region2 (unsigned id, const region2 *parent, tree element_type,
-		   const svalue2 *index)
-  : region2 (complexity::from_pair (parent, index), id, parent, element_type),
+  element_region (unsigned id, const region *parent, tree element_type,
+		   const svalue *index)
+  : region (complexity::from_pair (parent, index), id, parent, element_type),
     m_index (index)
   {}
 
-  bool compare_fields (const element_region2 &other) const;
+  bool compare_fields (const element_region &other) const;
 
-  enum region2::kind get_kind () const FINAL OVERRIDE { return RK_ELEMENT; }
-  const element_region2 *
-  dyn_cast_element_region2 () const FINAL OVERRIDE { return this; }
+  enum region::kind get_kind () const FINAL OVERRIDE { return RK_ELEMENT; }
+  const element_region *
+  dyn_cast_element_region () const FINAL OVERRIDE { return this; }
 
   void accept (visitor *v) const FINAL OVERRIDE;
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  const svalue2 *get_index () const { return m_index; }
+  const svalue *get_index () const { return m_index; }
 
 protected:
   void add_to_hash (inchash::hash &hstate) const OVERRIDE;
 
 private:
-  const svalue2 *m_index;
+  const svalue *m_index;
 };
 
 } // namespace ana
@@ -2100,9 +2048,9 @@ private:
 template <>
 template <>
 inline bool
-is_a_helper <const element_region2 *>::test (const region2 *reg)
+is_a_helper <const element_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_ELEMENT;
+  return reg->get_kind () == region::RK_ELEMENT;
 }
 
 namespace ana {
@@ -2110,32 +2058,32 @@ namespace ana {
 /* A byte-offset within another region, for handling pointer arithmetic
    as a region.  */
 
-class offset_region2 : public region2
+class offset_region : public region
 {
 public:
-  offset_region2 (unsigned id, const region2 *parent, tree type,
-		  const svalue2 *byte_offset)
-  : region2 (complexity::from_pair (parent, byte_offset), id, parent, type),
+  offset_region (unsigned id, const region *parent, tree type,
+		  const svalue *byte_offset)
+  : region (complexity::from_pair (parent, byte_offset), id, parent, type),
     m_byte_offset (byte_offset)
   {}
 
-  bool compare_fields (const offset_region2 &other) const;
+  bool compare_fields (const offset_region &other) const;
 
-  enum region2::kind get_kind () const FINAL OVERRIDE { return RK_OFFSET; }
-  const offset_region2 *
-  dyn_cast_offset_region2 () const FINAL OVERRIDE { return this; }
+  enum region::kind get_kind () const FINAL OVERRIDE { return RK_OFFSET; }
+  const offset_region *
+  dyn_cast_offset_region () const FINAL OVERRIDE { return this; }
 
   void accept (visitor *v) const FINAL OVERRIDE;
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  const svalue2 *get_byte_offset () const { return m_byte_offset; }
+  const svalue *get_byte_offset () const { return m_byte_offset; }
 
 protected:
   void add_to_hash (inchash::hash &hstate) const OVERRIDE;
 
 private:
-  const svalue2 *m_byte_offset;
+  const svalue *m_byte_offset;
 };
 
 } // namespace ana
@@ -2143,40 +2091,40 @@ private:
 template <>
 template <>
 inline bool
-is_a_helper <const offset_region2 *>::test (const region2 *reg)
+is_a_helper <const offset_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_OFFSET;
+  return reg->get_kind () == region::RK_OFFSET;
 }
 
 namespace ana {
 
 /* A region that views another region using a different type.  */
 
-class cast_region2 : public region2
+class cast_region : public region
 {
 public:
-  cast_region2 (unsigned id, const region2 *original_region, tree type)
-  : region2 (complexity (original_region), id,
+  cast_region (unsigned id, const region *original_region, tree type)
+  : region (complexity (original_region), id,
 	     original_region->get_parent_region (), type),
     m_original_region (original_region)
   {}
 
-  bool compare_fields (const cast_region2 &other) const;
+  bool compare_fields (const cast_region &other) const;
 
-  enum region2::kind get_kind () const FINAL OVERRIDE { return RK_CAST; }
-  const cast_region2 *
-  dyn_cast_cast_region2 () const FINAL OVERRIDE { return this; }
+  enum region::kind get_kind () const FINAL OVERRIDE { return RK_CAST; }
+  const cast_region *
+  dyn_cast_cast_region () const FINAL OVERRIDE { return this; }
   void accept (visitor *v) const FINAL OVERRIDE;
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
   /* FIXME: should this just be the parent region? */
-  const region2 *get_original_region () const { return m_original_region; }
+  const region *get_original_region () const { return m_original_region; }
 
 protected:
   void add_to_hash (inchash::hash &hstate) const OVERRIDE;
 
 private:
-  const region2 *m_original_region;
+  const region *m_original_region;
 };
 
 } // namespace ana
@@ -2184,9 +2132,9 @@ private:
 template <>
 template <>
 inline bool
-is_a_helper <const cast_region2 *>::test (const region2 *reg)
+is_a_helper <const cast_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_CAST;
+  return reg->get_kind () == region::RK_CAST;
 }
 
 namespace ana {
@@ -2195,17 +2143,17 @@ namespace ana {
    or similar.  */
 // FIXME: ...but could be NULL
 
-class heap_allocated_region2 : public region2
+class heap_allocated_region : public region
 {
 public:
-  heap_allocated_region2 (unsigned id, const region2 *parent)
-  : region2 (complexity (parent), id, parent, NULL_TREE)
+  heap_allocated_region (unsigned id, const region *parent)
+  : region (complexity (parent), id, parent, NULL_TREE)
   {}
 
 #if 0
-  bool compare_fields (const element_region2 &other) const;
+  bool compare_fields (const element_region &other) const;
 #endif
-  enum region2::kind get_kind () const FINAL OVERRIDE { return RK_HEAP_ALLOCATED; }
+  enum region::kind get_kind () const FINAL OVERRIDE { return RK_HEAP_ALLOCATED; }
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
@@ -2217,17 +2165,17 @@ protected:
 
 /* An untyped region dynamically allocated on the stack via "alloca".  */
 
-class alloca_region2 : public region2
+class alloca_region : public region
 {
 public:
-  alloca_region2 (unsigned id, const frame_region2 *parent)
-  : region2 (complexity (parent), id, parent, NULL_TREE)
+  alloca_region (unsigned id, const frame_region *parent)
+  : region (complexity (parent), id, parent, NULL_TREE)
   {}
 
 #if 0
-  bool compare_fields (const element_region2 &other) const;
+  bool compare_fields (const element_region &other) const;
 #endif
-  enum region2::kind get_kind () const FINAL OVERRIDE { return RK_ALLOCA; }
+  enum region::kind get_kind () const FINAL OVERRIDE { return RK_ALLOCA; }
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
@@ -2239,21 +2187,21 @@ protected:
 
 /* A region for a STRING_CST.  */
 
-class string_region2 : public region2
+class string_region : public region
 {
 public:
-  string_region2 (unsigned id, const region2 *parent, tree string_cst)
-  : region2 (complexity (parent), id, parent, TREE_TYPE (string_cst)),
+  string_region (unsigned id, const region *parent, tree string_cst)
+  : region (complexity (parent), id, parent, TREE_TYPE (string_cst)),
     m_string_cst (string_cst)
   {}
 
-  const string_region2 *
-  dyn_cast_string_region2 () const FINAL OVERRIDE { return this; }
+  const string_region *
+  dyn_cast_string_region () const FINAL OVERRIDE { return this; }
 
 #if 0
-  bool compare_fields (const element_region2 &other) const;
+  bool compare_fields (const element_region &other) const;
 #endif
-  enum region2::kind get_kind () const FINAL OVERRIDE { return RK_STRING; }
+  enum region::kind get_kind () const FINAL OVERRIDE { return RK_STRING; }
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
@@ -2272,26 +2220,26 @@ private:
 template <>
 template <>
 inline bool
-is_a_helper <const string_region2 *>::test (const region2 *reg)
+is_a_helper <const string_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_STRING;
+  return reg->get_kind () == region::RK_STRING;
 }
 
 namespace ana {
 
 /* An unknown region, for handling unimplemented tree codes.  */
 
-class unknown_region2 : public region2
+class unknown_region : public region
 {
 public:
-  unknown_region2 (unsigned id, const region2 *parent, tree type)
-  : region2 (complexity (parent), id, parent, type)
+  unknown_region (unsigned id, const region *parent, tree type)
+  : region (complexity (parent), id, parent, type)
   {}
 
 #if 0
-  bool compare_fields (const element_region2 &other) const;
+  bool compare_fields (const element_region &other) const;
 #endif
-  enum region2::kind get_kind () const FINAL OVERRIDE { return RK_UNKNOWN; }
+  enum region::kind get_kind () const FINAL OVERRIDE { return RK_UNKNOWN; }
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
@@ -2301,72 +2249,72 @@ protected:
 #endif
 };
 
-/* A class responsible for owning and consolidating region2 and svalue2
+/* A class responsible for owning and consolidating region and svalue
    instances.
-   region2 and svalue2 instances are immutable as far as clients are
+   region and svalue instances are immutable as far as clients are
    concerned, so they are provided as "const" ptrs.  */
 
-class region_model2_manager
+class region_model_manager
 {
 public:
-  region_model2_manager ();
-  ~region_model2_manager ();
+  region_model_manager ();
+  ~region_model_manager ();
 
-  /* svalue2 consolidation.  */
-  const svalue2 *get_or_create_constant_svalue2 (tree cst_expr);
-  const svalue2 *get_or_create_unknown_svalue2 (tree type);
-  const svalue2 *get_or_create_setjmp_svalue2 (const setjmp_record &r,
+  /* svalue consolidation.  */
+  const svalue *get_or_create_constant_svalue (tree cst_expr);
+  const svalue *get_or_create_unknown_svalue (tree type);
+  const svalue *get_or_create_setjmp_svalue (const setjmp_record &r,
 					       tree type);
-  const svalue2 *get_or_create_poisoned_svalue2 (enum poison_kind kind,
+  const svalue *get_or_create_poisoned_svalue (enum poison_kind kind,
 						 tree type);
-  const svalue2 *get_or_create_initial_value (const region2 *reg);
-  const svalue2 *get_ptr_svalue2 (tree ptr_type, const region2 *pointee);
-  const svalue2 *get_or_create_unaryop (tree type, enum tree_code op,
-					const svalue2 *arg);
-  const svalue2 *get_or_create_cast (tree type, const svalue2 *arg);
-  const svalue2 *get_or_create_binop (tree type,
+  const svalue *get_or_create_initial_value (const region *reg);
+  const svalue *get_ptr_svalue (tree ptr_type, const region *pointee);
+  const svalue *get_or_create_unaryop (tree type, enum tree_code op,
+					const svalue *arg);
+  const svalue *get_or_create_cast (tree type, const svalue *arg);
+  const svalue *get_or_create_binop (tree type,
 				      enum tree_code op,
-				      const svalue2 *arg0, const svalue2 *arg1);
-  const svalue2 *get_or_create_sub_svalue2 (tree type,
-					    const svalue2 *parent_svalue,
-					    const region2 *subregion);
-  const svalue2 *get_or_create_unmergeable (const svalue2 *arg);
-  const svalue2 *get_or_create_widening_svalue2 (tree type,
+				      const svalue *arg0, const svalue *arg1);
+  const svalue *get_or_create_sub_svalue (tree type,
+					    const svalue *parent_svalue,
+					    const region *subregion);
+  const svalue *get_or_create_unmergeable (const svalue *arg);
+  const svalue *get_or_create_widening_svalue (tree type,
 						 const program_point &point,
-						 const svalue2 *base_svalue,
-						 const svalue2 *iter_svalue);
-  const svalue2 *get_or_create_compound_svalue2 (tree type,
+						 const svalue *base_svalue,
+						 const svalue *iter_svalue);
+  const svalue *get_or_create_compound_svalue (tree type,
 						 const binding_map &map);
-  const svalue2 *get_or_create_conjured_svalue2 (tree type, const gimple *stmt,
-						 const region2 *id_reg);
-
-  /* region2 consolidation.  */
-  const stack_region2 * get_stack_region () const { return &m_stack_region; }
-  const heap_region2 *get_heap_region () const { return &m_heap_region; }
-  const code_region2 *get_code_region () const { return &m_code_region; }
-  const globals_region2 *get_globals_region () const
+  const svalue *get_or_create_conjured_svalue (tree type, const gimple *stmt,
+						 const region *id_reg);
+
+  /* region consolidation.  */
+  const stack_region * get_stack_region () const { return &m_stack_region; }
+  const heap_region *get_heap_region () const { return &m_heap_region; }
+  const code_region *get_code_region () const { return &m_code_region; }
+  const globals_region *get_globals_region () const
   {
     return &m_globals_region;
   }
-  const function_region2 *get_region_for_fndecl (tree fndecl);
-  const label_region2 *get_region_for_label (tree label);
-  const decl_region2 *get_region_for_global (tree expr);
-  const region2 *get_field_region (const region2 *parent, tree field);
-  const region2 *get_element_region (const region2 *parent,
+  const function_region *get_region_for_fndecl (tree fndecl);
+  const label_region *get_region_for_label (tree label);
+  const decl_region *get_region_for_global (tree expr);
+  const region *get_field_region (const region *parent, tree field);
+  const region *get_element_region (const region *parent,
 				     tree element_type,
-				     const svalue2 *index);
-  const region2 *get_offset_region (const region2 *parent,
+				     const svalue *index);
+  const region *get_offset_region (const region *parent,
 				    tree type,
-				    const svalue2 *byte_offset);
-  const region2 *get_cast_region (const region2 *original_region,
+				    const svalue *byte_offset);
+  const region *get_cast_region (const region *original_region,
 				  tree type);
-  const frame_region2 *get_frame_region (const frame_region2 *calling_frame,
+  const frame_region *get_frame_region (const frame_region *calling_frame,
 					 function *fun);
-  const region2 *get_symbolic_region (const svalue2 *sval);
-  const string_region2 *get_region_for_string (tree string_cst);
+  const region *get_symbolic_region (const svalue *sval);
+  const string_region *get_region_for_string (tree string_cst);
 
-  const region2 *
-  get_region2_for_unexpected_tree_code (region_model2_context *ctxt,
+  const region *
+  get_region_for_unexpected_tree_code (region_model_context *ctxt,
 					tree t,
 					const dump_location_t &loc);
 
